@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: "Inter", sans-serif;
  background-color: #f5f7fb;
}

.form-container {
  display: flex;
  justify-content: center; /* centra horizontalmente */
}

.formbold-form-wrapper {
  width: 400px;
  padding: 20px;
  background-color: beige;
  border: 2px solid #192949;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.formbold-input-flex {
  display: flex;
  align-items: center;
  justify-content: space-between; /* 🔥 clave */
}


/* 🔥 fila label + input */
.form-row {
  display: flex;
  justify-content: space-between; /* ⭐ clave */
  align-items: center;
}

/* ===== LABEL ===== */
.formbold-form-label {
  width: 130px;      /* 🔥 necesario */
  text-align: left;
  font-size: 13px;
  font-weight: 500;
  color: black;
}

/* ===== INPUTS ===== */
.form-input{
  flex:1;
  width: 220px;         /* ancho fijo para que quede a la derecha */
  border: none;
  border-bottom: 2px solid grey;
  font-size: 12px;
  padding: 5px;
  background-color: beige;

}

.text16,
.text40 {
  width: 220px;         /* ancho fijo para que quede a la derecha */
  border: none;
  border-bottom: 2px solid grey;
  font-size: 12px;
  padding: 5px;
  background-color: beige;
}

/* ===== BOTONES ===== */
.formbold-buttons {
  display: flex;
  justify-content: center; /* botones centrados */
  gap: 12px;
  margin-top: 20px;
}

.formbold-btn {
  width: 45%;
  padding: 8px 0;
  background-color: #2563eb;
  color: white;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-weight: 500;
  font-size: 13px;
}

.formbold-btn:hover {
  background-color: #1e40af;
}

h2 {
  space-between:space-between;
  text-align: center;
  margin-bottom: 5px;
}
